package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;

import java.math.BigDecimal;

@ApiModel("膳食营养素参考摄入孕期修正数据 实体类")
public class NutrientReferenceIntakeReviseVo {
   private String nutrition;
   private BigDecimal firstTrimesterCorrection;
   private BigDecimal secondTrimesterCorrection;
   private BigDecimal thirdTrimesterCorrection;
   private BigDecimal wetNurseModifier;

   public String getNutrition() {
      return this.nutrition;
   }

   public BigDecimal getFirstTrimesterCorrection() {
      return this.firstTrimesterCorrection;
   }

   public BigDecimal getSecondTrimesterCorrection() {
      return this.secondTrimesterCorrection;
   }

   public BigDecimal getThirdTrimesterCorrection() {
      return this.thirdTrimesterCorrection;
   }

   public BigDecimal getWetNurseModifier() {
      return this.wetNurseModifier;
   }

   public NutrientReferenceIntakeReviseVo setNutrition(final String nutrition) {
      this.nutrition = nutrition;
      return this;
   }

   public NutrientReferenceIntakeReviseVo setFirstTrimesterCorrection(final BigDecimal firstTrimesterCorrection) {
      this.firstTrimesterCorrection = firstTrimesterCorrection;
      return this;
   }

   public NutrientReferenceIntakeReviseVo setSecondTrimesterCorrection(final BigDecimal secondTrimesterCorrection) {
      this.secondTrimesterCorrection = secondTrimesterCorrection;
      return this;
   }

   public NutrientReferenceIntakeReviseVo setThirdTrimesterCorrection(final BigDecimal thirdTrimesterCorrection) {
      this.thirdTrimesterCorrection = thirdTrimesterCorrection;
      return this;
   }

   public NutrientReferenceIntakeReviseVo setWetNurseModifier(final BigDecimal wetNurseModifier) {
      this.wetNurseModifier = wetNurseModifier;
      return this;
   }

   public String toString() {
      String var10000 = this.getNutrition();
      return "NutrientReferenceIntakeReviseVo(nutrition=" + var10000 + ", firstTrimesterCorrection=" + String.valueOf(this.getFirstTrimesterCorrection()) + ", secondTrimesterCorrection=" + String.valueOf(this.getSecondTrimesterCorrection()) + ", thirdTrimesterCorrection=" + String.valueOf(this.getThirdTrimesterCorrection()) + ", wetNurseModifier=" + String.valueOf(this.getWetNurseModifier()) + ")";
   }

}
